| QxOrm 1.4.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Functions
QxSerializeQDataStream_std_tuple.h File Reference
QxSerialize : QxOrm library serialization engine based on 'boost::serialization' library

Provide a Qt QDataStream serialization method (save/load) for type std::tuple<T0, T1, ..., T9> (C++11 compilation option _QX_CPP_11_TUPLE must be defined) More...

`#include <QtCore/qdatastream.h>`

Go to the source code of this file.

## Functions
template<typename T0 , typename T1 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1 > &t)
template<typename T0 , typename T1 , typename T2 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1, T2 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1, T2, T3 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1, T2, T3, T4 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1, T2, T3, T4, T5 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1, T2, T3, T4, T5, T6 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
QDataStream & | operator<< (QDataStream &stream, const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &t)
template<typename T0 , typename T1 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1 > &t)
template<typename T0 , typename T1 , typename T2 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1, T2 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1, T2, T3 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1, T2, T3, T4 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1, T2, T3, T4, T5 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1, T2, T3, T4, T5, T6 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
QDataStream & | operator>> (QDataStream &stream, std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &t)

## Detailed Description

Provide a Qt QDataStream serialization method (save/load) for type std::tuple<T0, T1, ..., T9> (C++11 compilation option _QX_CPP_11_TUPLE must be defined)

Author:
  Lionel Marty

Definition in file QxSerializeQDataStream_std_tuple.h.

## Function Documentation

template<typename T0 , typename T1 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1 > & | t
| ) |  |

Definition at line 49 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1, T2 > & | t
| ) |  |

Definition at line 57 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1, T2, T3 > & | t
| ) |  |

Definition at line 66 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1, T2, T3, T4 > & | t
| ) |  |

Definition at line 76 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1, T2, T3, T4, T5 > & | t
| ) |  |

Definition at line 87 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1, T2, T3, T4, T5, T6 > & | t
| ) |  |

Definition at line 99 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | t
| ) |  |

Definition at line 112 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | t
| ) |  |

Definition at line 126 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | t
| ) |  |

Definition at line 141 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1 > & | t
| ) |  |

Definition at line 157 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1, T2 > & | t
| ) |  |

Definition at line 165 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1, T2, T3 > & | t
| ) |  |

Definition at line 174 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1, T2, T3, T4 > & | t
| ) |  |

Definition at line 184 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1, T2, T3, T4, T5 > & | t
| ) |  |

Definition at line 195 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1, T2, T3, T4, T5, T6 > & | t
| ) |  |

Definition at line 207 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | t
| ) |  |

Definition at line 220 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | t
| ) |  |

Definition at line 234 of file QxSerializeQDataStream_std_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | t
| ) |  |

Definition at line 249 of file QxSerializeQDataStream_std_tuple.h.